<?php
require_once("../../config.php");
require_once($CFG->dirroot.'/course/lib.php');
	
$delete = optional_param('delete', 0, PARAM_INT);
$confirm = optional_param('confirm', 0, PARAM_BOOL);
	
if (! $category= get_record('usercategories', 'id', $delete, 'userid', $USER->id) ) {
    print_error('nocategorydelete', 'error', 'category.php', format_string($category->category));
}
	
require_login();

if ($confirm and confirm_sesskey()) {		
	delete_records('usercategories', 'userid', $USER->id, 'id', $delete);
	delete_records('usercategories_course', 'categoryid', $delete);
	
	redirect($CFG->wwwroot.'/mod/usercategories/category.php');
}

print_header("$SITE->shortname: ". get_string('categories'), get_string('courses'),
    build_navigation(array(array('name'=>get_string('categories'),'link'=>'','type'=>'misc'))), '', '', true);
print_heading(get_string('categories'));

$strdeletecoursecheck = get_string('deletemessage', 'usercategories')." '<strong>".$category->name."'</strong>?";
notice_yesno("$strdeletecoursecheck<br /><br />",
                "delete_category.php?delete=".$delete."&amp;confirm=yes&amp;sesskey=".sesskey(), $_SERVER['HTTP_REFERER']);

print_footer();
	
?>