<?php 

require_once ($CFG->dirroot.'/course/moodleform_mod.php');

class editcategory_form extends moodleform {

    // form definition
    function definition() {
        global $CFG;
        $mform =& $this->_form;
        
        // get list of categories to use as parents, with site as the first one.
        $mform->addElement('text', 'name', get_string('categoryname'), array('size'=>'30'));    
        $mform->addRule('name', get_string('required'), 'required', null);
		
		$mform->addElement('text', 'ordercat', get_string('order'), array('size'=>'4'));    
        $mform->addRule('ordercat', get_string('err_numeric', 'form'), 'numeric');      
        
        $mform->addElement('hidden', 'id', null);
        $mform->addElement('hidden', 'categoryadd', 0);
        $mform->setType('edit', PARAM_INT);
        $this->add_action_buttons(true, get_string('savechanges'));
    }
} 
?>
